/*
 * MFRC530.h
 *
 *  Created on: Nov 11, 2011
 *      Author: RomanM
 */

#ifndef MFRC530_H_
#define MFRC530_H_

void Mfrc530_Init(void);				// Initialization of module
void Mfrc530_InterruptHandler(void);	// Interrupt handler (add to part of code where external interrupt is called)
void Mfrc530_Reset(void);				// Reset of module
void Mfrc530_DriverOn(void);			// Turn on antenna driver
void Mfrc530_DriverOff(void);			// Turn off antenna driver
void Mfrc530_HardPowerDown(void);		// Hard power down(to resume function, call Mfrc530_Reset())
void Mfrc530_SoftPowerDown_On(void);	// Soft power down
void Mfrc530_SoftPowerDown_Off(void);	// Return from soft power down
void Mfrc530_StandBy_On(void);			// Stand-by
void Mfrc530_StandBy_Off(void);			// Return from stand-by

uint8_t Mifare_WakeUp(void);
uint8_t Mifare_Request(void);
uint8_t Mifare_AntiCollision(uint8_t *cardNumber);
void Mifare_Halt(void);

#endif /* MFRC530_H_ */
